LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeSynthetic Class Reference

`#include <SBTypeSynthetic.h>`

Collaboration diagram for lldb::SBTypeSynthetic:
[legend]

## Public Member Functions

| SBTypeSynthetic ()
| SBTypeSynthetic (const lldb::SBTypeSynthetic &rhs)
| ~SBTypeSynthetic ()
bool | IsValid () const
bool | IsClassCode ()
bool | IsClassName ()
const char * | GetData ()
void | SetClassName (const char *data)
void | SetClassCode (const char *data)
uint32_t | GetOptions ()
void | SetOptions (uint32_t)
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)
lldb::SBTypeSynthetic & | operator= (const lldb::SBTypeSynthetic &rhs)
bool | IsEqualTo (lldb::SBTypeSynthetic &rhs)
bool | operator== (lldb::SBTypeSynthetic &rhs)
bool | operator!= (lldb::SBTypeSynthetic &rhs)

## Static Public Member Functions

static SBTypeSynthetic | CreateWithClassName (const char *data, uint32_t options=0)
static SBTypeSynthetic | CreateWithScriptCode (const char *data, uint32_t options=0)

## Protected Member Functions

lldb::ScriptedSyntheticChildrenSP | GetSP ()
void | SetSP (const lldb::ScriptedSyntheticChildrenSP &typefilter_impl_sp)
| SBTypeSynthetic (const lldb::ScriptedSyntheticChildrenSP &)
bool | CopyOnWrite_Impl ()

## Protected Attributes

lldb::ScriptedSyntheticChildrenSP | m_opaque_sp

## Friends

class | SBDebugger
class | SBTypeCategory
class | SBValue

## Detailed Description

Definition at line 19 of file SBTypeSynthetic.h.

## Constructor & Destructor Documentation

lldb::SBTypeSynthetic::SBTypeSynthetic | ( |  | ) |

lldb::SBTypeSynthetic::SBTypeSynthetic | ( | const lldb::SBTypeSynthetic & | rhs | ) |

lldb::SBTypeSynthetic::~SBTypeSynthetic | ( |  | ) |

lldb::SBTypeSynthetic::SBTypeSynthetic | ( | const lldb::ScriptedSyntheticChildrenSP & |  | ) |

protected

## Member Function Documentation

bool lldb::SBTypeSynthetic::CopyOnWrite_Impl | ( |  | ) |

protected

static SBTypeSynthetic lldb::SBTypeSynthetic::CreateWithClassName | ( | const char * | data,
|  | uint32_t | options = `0`
| ) |  |

static

static SBTypeSynthetic lldb::SBTypeSynthetic::CreateWithScriptCode | ( | const char * | data,
|  | uint32_t | options = `0`
| ) |  |

static

const char* lldb::SBTypeSynthetic::GetData | ( |  | ) |

bool lldb::SBTypeSynthetic::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

uint32_t lldb::SBTypeSynthetic::GetOptions | ( |  | ) |

lldb::ScriptedSyntheticChildrenSP lldb::SBTypeSynthetic::GetSP | ( |  | ) |

protected

bool lldb::SBTypeSynthetic::IsClassCode | ( |  | ) |

bool lldb::SBTypeSynthetic::IsClassName | ( |  | ) |

bool lldb::SBTypeSynthetic::IsEqualTo | ( | lldb::SBTypeSynthetic & | rhs | ) |

bool lldb::SBTypeSynthetic::IsValid | ( |  | ) | const

bool lldb::SBTypeSynthetic::operator!= | ( | lldb::SBTypeSynthetic & | rhs | ) |

lldb::SBTypeSynthetic& lldb::SBTypeSynthetic::operator= | ( | const lldb::SBTypeSynthetic & | rhs | ) |

bool lldb::SBTypeSynthetic::operator== | ( | lldb::SBTypeSynthetic & | rhs | ) |

void lldb::SBTypeSynthetic::SetClassCode | ( | const char * | data | ) |

void lldb::SBTypeSynthetic::SetClassName | ( | const char * | data | ) |

void lldb::SBTypeSynthetic::SetOptions | ( | uint32_t |  | ) |

void lldb::SBTypeSynthetic::SetSP | ( | const lldb::ScriptedSyntheticChildrenSP & | typefilter_impl_sp | ) |

protected

## Friends And Related Function Documentation

friend class SBDebugger

friend

Definition at line 78 of file SBTypeSynthetic.h.

friend class SBTypeCategory

friend

Definition at line 79 of file SBTypeSynthetic.h.

friend class SBValue

friend

Definition at line 80 of file SBTypeSynthetic.h.

## Member Data Documentation

lldb::ScriptedSyntheticChildrenSP lldb::SBTypeSynthetic::m_opaque_sp

protected

Definition at line 88 of file SBTypeSynthetic.h.

The documentation for this class was generated from the following file:

- SBTypeSynthetic.h